<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/KukriKnife.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d1a/_kukri_knife_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">KukriKnife.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d1a/_kukri_knife_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>KukriKnife <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/d33/class_tool_base.html">ToolBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d33/class_tool_base.html#a98f344b793b0dbe24321cb16dae3d861">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d33/class_tool_base.html#a98f344b793b0dbe24321cb16dae3d861">IsMeleeFinisher</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d0/d33/class_tool_base.html#a0ee8579b3a2a1e15a4a4c4df9dad8472">    8</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d0/d33/class_tool_base.html#a0ee8579b3a2a1e15a4a4c4df9dad8472">GetValidFinishers</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> {<a class="code hl_enumeration" href="../../d8/d5d/_day_z_player_implement_melee_combat_8c.html#aa261ab406ec33906c5ef3f41c4ac5d2a">EMeleeHitType</a>.FINISHER_LIVERSTAB};</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/d33/class_tool_base.html#a8e74e06880b7568b1c4c5e2109738ecf">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d33/class_tool_base.html#a8e74e06880b7568b1c4c5e2109738ecf">SetActions</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        super.SetActions();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d5a/class_action_burn_sew_target.html">ActionBurnSewTarget</a>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/d74/class_action_unrestrain_target.html">ActionUnrestrainTarget</a>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d1/d0e/class_action_skinning.html">ActionSkinning</a>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d29/class_action_mine_bush.html">ActionMineBush</a>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d1/dc5/class_action_mine_tree_bark.html">ActionMineTreeBark</a>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../df/de6/class_action_burn_sew_self.html">ActionBurnSewSelf</a>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/dc7/class_action_dig_worms.html">ActionDigWorms</a>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d7/d2c/class_action_shave_target.html">ActionShaveTarget</a>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d5/d2d/class_action_shave.html">ActionShave</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_day_z_player_implement_melee_combat_8c_html_aa261ab406ec33906c5ef3f41c4ac5d2a"><div class="ttname"><a href="../../d8/d5d/_day_z_player_implement_melee_combat_8c.html#aa261ab406ec33906c5ef3f41c4ac5d2a">EMeleeHitType</a></div><div class="ttdeci">EMeleeHitType</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5d/_day_z_player_implement_melee_combat_8c_source.html#l00001">DayZPlayerImplementMeleeCombat.c:2</a></div></div>
<div class="ttc" id="aclass_action_burn_sew_self_html"><div class="ttname"><a href="../../df/de6/class_action_burn_sew_self.html">ActionBurnSewSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d73/_action_burn_sew_self_8c_source.html#l00009">ActionBurnSewSelf.c:10</a></div></div>
<div class="ttc" id="aclass_action_burn_sew_target_html"><div class="ttname"><a href="../../d8/d5a/class_action_burn_sew_target.html">ActionBurnSewTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_burn_sew_target_8c_source.html#l00009">ActionBurnSewTarget.c:10</a></div></div>
<div class="ttc" id="aclass_action_dig_worms_html"><div class="ttname"><a href="../../da/dc7/class_action_dig_worms.html">ActionDigWorms</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d1b/_action_dig_worms_8c_source.html#l00014">ActionDigWorms.c:15</a></div></div>
<div class="ttc" id="aclass_action_mine_bush_html"><div class="ttname"><a href="../../d4/d29/class_action_mine_bush.html">ActionMineBush</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_action_mine_bush_8c_source.html#l00011">ActionMineBush.c:12</a></div></div>
<div class="ttc" id="aclass_action_mine_tree_bark_html"><div class="ttname"><a href="../../d1/dc5/class_action_mine_tree_bark.html">ActionMineTreeBark</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d38/_action_mine_tree_bark_8c_source.html#l00001">ActionMineTreeBark.c:2</a></div></div>
<div class="ttc" id="aclass_action_shave_html"><div class="ttname"><a href="../../d5/d2d/class_action_shave.html">ActionShave</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1d/_action_shave_8c_source.html#l00009">ActionShave.c:10</a></div></div>
<div class="ttc" id="aclass_action_shave_target_html"><div class="ttname"><a href="../../d7/d2c/class_action_shave_target.html">ActionShaveTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_action_shave_target_8c_source.html#l00009">ActionShaveTarget.c:10</a></div></div>
<div class="ttc" id="aclass_action_skinning_html"><div class="ttname"><a href="../../d1/d0e/class_action_skinning.html">ActionSkinning</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db0/_action_skinning_8c_source.html#l00029">ActionSkinning.c:30</a></div></div>
<div class="ttc" id="aclass_action_unrestrain_target_html"><div class="ttname"><a href="../../da/d74/class_action_unrestrain_target.html">ActionUnrestrainTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00052">ActionUnrestrainTarget.c:53</a></div></div>
<div class="ttc" id="aclass_tool_base_html"><div class="ttname"><a href="../../d0/d33/class_tool_base.html">ToolBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df4/_bone_knife_8c_source.html#l00001">BoneKnife.c:2</a></div></div>
<div class="ttc" id="aclass_tool_base_html_a0ee8579b3a2a1e15a4a4c4df9dad8472"><div class="ttname"><a href="../../d0/d33/class_tool_base.html#a0ee8579b3a2a1e15a4a4c4df9dad8472">ToolBase::GetValidFinishers</a></div><div class="ttdeci">override array&lt; int &gt; GetValidFinishers()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_kukri_knife_8c_source.html#l00008">KukriKnife.c:8</a></div></div>
<div class="ttc" id="aclass_tool_base_html_a8e74e06880b7568b1c4c5e2109738ecf"><div class="ttname"><a href="../../d0/d33/class_tool_base.html#a8e74e06880b7568b1c4c5e2109738ecf">ToolBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_kukri_knife_8c_source.html#l00013">KukriKnife.c:13</a></div></div>
<div class="ttc" id="aclass_tool_base_html_a98f344b793b0dbe24321cb16dae3d861"><div class="ttname"><a href="../../d0/d33/class_tool_base.html#a98f344b793b0dbe24321cb16dae3d861">ToolBase::IsMeleeFinisher</a></div><div class="ttdeci">override bool IsMeleeFinisher()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/_kukri_knife_8c_source.html#l00003">KukriKnife.c:3</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d7/d1a/_kukri_knife_8c.html">KukriKnife.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
